.TH Concept "Plane Types"
The types of aircraft you have at your disposal includes a wide
variety planes, helicopters, missiles, and satellites.
These plane types differ in their fundamental capabilities;
some can fly bombing missions, some carry cargo, others exist 
to shoot down other planes.  Missiles are special planes which 
fly one-way, one-time missions.  Satellites are special planes
which can be launched into orbit, and generally stay there 
forever (or until retrieved by a space shuttle).
.s1
The technology level at which the plane was built is very important.
An aircraft built at a high tech level will outperform the same
aircraft built at a low tech level.
.s3
The particular planes available and their attributes
are given by the show command.
The fields given in the output are as follows.
For building:
.sp 1
.in \w'tech\0\0'u
.L lcm
the amount of lcm to build the unit,
.L hcm
the amount of hcm to build the unit,
.L tech
minimum tech level to build this unit,
.L $
cost of the unit in dollars,
.s1
.in \\n(in
For the capability report the fields are:
.s1
.in \w'fuel\0\0'u
.L acc
Bomb accuracy.  Smaller means better.
Zero accuracy implies no ability.
.L ld
Bomb load/cargo capacity.
.L att
Air-to-air combat attack rating.
.L def
Air-to-air combat defense rating.
.L ran
Base range (in sectors).  Actual range may be greater,
depending on the tech level at which a plane is built.
.L mob
Full range mobility.  Flights of less than maximum range
will burn proportionally less mobility.  Note that each
step up in altitude also consumes one sector's distance
worth of mobility.
.L pet
Fuel capacity.  This is the amount that will be burned 
if the plane flies its full range.  Planes always take off 
with full tanks; if the flight is shorter than the plane's
range, any unused fuel will be unloaded at the destination.
.L spd
Typical flight airspeed.  This is used mainly to determine
elapsed flight time at each sector along the flight path,
which in turn helps determine which planes can perform
interception.
.L alt
Aircraft's altitude ceiling.
If you group together different types of aircraft on a mission,
the maximum altitude for the group as a whole is determined by
the plane with the minimum ceiling.
.in \\n(in
.s1
The abilities are given as a set of attributes for each plane.
These include:
.s1
.in \w'intercept\0\0'u
.L tactical
pinpoint bombing ability
.L intercept
interception and escort ability
.L cargo
cargo-carrying and air-assault ability
.L bomber
strategic bombing ability
.L VTOL
vertical take-off ability -- no need to use airports
.L heli
aircraft is a helicopter
.L missile
missile -- one shot.
.L light
light, can land on carriers or be carried on a submarine
.L sweep
able to sweep mines
.L subhunt
aircraft has ASW capability
.L spy
spy ability, for recon missions
.L image
improved imaging capabilities
.L enhanced
extra-improved imaging capabilities
.L orbit
a satellite - stays in orbit until shot down
.in \\n(in
.sp 1
As an example of the output
.EX show plane build
.NF
lt bomber 2    12   8   70 $900
              lcm hcm crew tech  $
fighter 1       8   2   1   40 $400
lt bomber 1    10   3   2   40 $550
transport 1    12   5   2   45 $800
hvy bomber 1   20   6   3   50 $1100
long bomber 1  20   6   4   60 $1100
fighter 2      10   6   1   70 $800
.FI
.s3
.EX show plane cap
.NF
              acc ld att def ran mob pet  spd alt abilities
biplane        30  1   1   1   4  30   1  100   1 tactical intercept VTOL light
triplane       30  1   2   1   4  30   1  120   1 tactical intercept VTOL light
fighter 1      30  1   3   2   6  30   1  160   1 tactical intercept VTOL light
lt bomber 1    30  2   1   2   8  30   1  160   1 bomber tactical VTOL light
transport 1     0  7   0   1  15  30   2  140   1 cargo
hvy bomber 1   85  6   2   3  15  30   2  140   1 bomber
.FI
.s3
See also : fly, build, show
